#
# spec file for package rubygem-httpclient
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-httpclient
Version:        2.8.3
Release:        1.40
%define mod_name httpclient
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/nahi/httpclient
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        gives something like the functionality of libwww-perl (LWP) in Ruby
License:        Ruby
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
gives something like the functionality of libwww-perl (LWP) in Ruby.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
* Sat Dec 10 2016 coolo@suse.com
- updated to version 2.8.3
  no changelog found
* Sat Oct  8 2016 coolo@suse.com
- updated to version 2.8.2.4
  no changelog found
* Sat Sep 10 2016 coolo@suse.com
- updated to version 2.8.2.3
  no changelog found
* Tue Aug 16 2016 coolo@suse.com
- updated to version 2.8.2.1
  no changelog found
* Mon Aug  8 2016 coolo@suse.com
- updated to version 2.8.1
  no changelog found
* Sat May 21 2016 coolo@suse.com
- updated to version 2.8.0
  no changelog found
* Sat Apr 23 2016 coolo@suse.com
- updated to version 2.7.2
  no changelog found
* Thu Jan 21 2016 coolo@suse.com
- updated to version 2.7.1
  no changelog found
* Tue Nov 24 2015 coolo@suse.com
- updated to version 2.7.0.1
  no changelog found
* Fri Nov  6 2015 coolo@suse.com
- updated to version 2.7.0
  no changelog found
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.6.0.1, no changelog
* Tue Dec  2 2014 dmitry_r@opensuse.org
- updated to version 2.5.3.3
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.3.4.1, no changelog found
* Fri May 24 2013 coolo@suse.com
- updated to version 2.3.3
  * Changes
  * #144 Add User-Agent field by default. You can remove the header by
    setting nil to HTTPClient#agent_name.
* Thu Jan 24 2013 coolo@suse.com
- updated to version 2.3.2
  * #138 Revert Timeout change unintentionally included in v2.3.1.  It's
    reported that the change causes background processes not terminated
    properly.
* Wed Jan  2 2013 coolo@suse.com
- updated to version 2.3.1
* Mon Oct 15 2012 coolo@suse.com
- updated to version 2.3.0.1
* Sun Aug 26 2012 coolo@suse.com
- updated to version 2.2.7
* Wed Aug  1 2012 coolo@suse.com
- updated to version 2.2.5
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 2.1.5.2
* Thu Jan 15 2009 mrueckert@suse.de
- update to version 2.1.3.1
  - Proxy Authentication for SSL.
  - Performance improvements.
  - Full RDoc. Please tell me any English problem. Thanks in advance.
  - Do multipart file upload when a given body includes a File. You
    don't need to set 'Content-Type' and boundary String any more.
  - Added propfind and proppatch methods.
  - Avoid unnecessary memory consuming for get_content/post_content
    with block. get_content returns nil when you call it with a
    block.
  - post_content with IO did not work when redirect/auth cycle is
    required. (CAUTION: post_content now correctly follows
    redirection and posts the given content)
  - Exception handling cleanups.
  - Raises HTTPClient::ConfigurationError? for environment problem
    (trying to do SSL without openssl installed for example)
  - Raises HTTPClient::BadResponse? for HTTP response problem. you
    can get the response HTTPMessage returned via $!.res.
  - Raises SocketError? for connection problem (as same as before).
  - Avoid unnecessary negotiation cycle for Negotiate(NTLM)
    authentication. Thanks Rishav for great support for debugging
    Negotiate authentication.
  - get_content/post_content with block yielded unexpected message
    body during redirect/auth cycle.
  - Relative URI redirection should be allowed from 2.1.2 but it
    did not work... fixed.
  - Avoid unnecessary timeout waiting when no message body returned
    such as '204 No Content' for DAV.
  - Avoid blocking on socket closing when the socket is already
    closed by foreign host and the client runs under MT-condition.
* Mon Oct 15 2007 mrueckert@suse.de
- update to version 2.1.2
  - implemented Negotiate authentication with a support from
    exterior modules. 'rubyntlm' module is required for Negotiate
    auth with IIS. 'win32/sspi' module is required for Negotiate
    auth with ISA. (#23)
  - a workaround for Ubuntu + SonicWALL timeout problem. try to
    send HTTP request in one chunk. (#171)
  - create new self-signing dist-cert which has serial number 0x01
    and embed it in httpclient.rb. (#169)
  - update cacert.p7s. certificates are imported from cacerts in
    JRE 6 Update 2. 1 expired CA certificate 'C=US, O=GTE
    Corporation, CN=GTE CyberTrust? Root' is removed.
  - [BUG] SSL + debug_dev didn't work under version 2.1.1. (#168)
  - [BUG] Reason-Phrase of HTTP response status line can be empty
    according to RFC2616. (#170)
* Wed Sep  5 2007 abauer@suse.de
- initial version 2.1.1
